Upstream information

CVE-2017-9123 at MITRE

Description

The lqt_frame_duration function in lqt_quicktime.c in libquicktime 1.2.4 allows remote attackers to cause a denial of service (invalid memory read and application crash) via a crafted mp4 file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 2.6
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:H/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium High
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 4.3
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
SUSE Bugzilla entry: 1044009 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • libquicktime >= 1.2.4-13.1
  • libquicktime0 >= 1.2.4-13.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1107
SUSE Linux Enterprise Server 12 SP2
  • libquicktime >= 1.2.4-13.1
  • libquicktime0 >= 1.2.4-13.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1107
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libquicktime >= 1.2.4-13.1
  • libquicktime0 >= 1.2.4-13.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1107
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libquicktime >= 1.0.3-6.5.1
  • libquicktime-devel >= 1.0.3-6.5.1
Patchnames:
sdksp4-libquicktime-13222
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libquicktime >= 1.2.4-13.1
  • libquicktime-devel >= 1.2.4-13.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1107
openSUSE Leap 42.2
  • libquicktime >= 1.2.4cvs20150223-8.3.1
  • libquicktime-debugsource >= 1.2.4cvs20150223-8.3.1
  • libquicktime-devel >= 1.2.4cvs20150223-8.3.1
  • libquicktime-tools >= 1.2.4cvs20150223-8.3.1
  • libquicktime-tools-debuginfo >= 1.2.4cvs20150223-8.3.1
  • libquicktime0 >= 1.2.4cvs20150223-8.3.1
  • libquicktime0-32bit >= 1.2.4cvs20150223-8.3.1
  • libquicktime0-debuginfo >= 1.2.4cvs20150223-8.3.1
  • libquicktime0-debuginfo-32bit >= 1.2.4cvs20150223-8.3.1
Patchnames:
openSUSE-2017-785
openSUSE Leap 42.3
  • libquicktime0 >= 1.2.4cvs20150223-11.1
Patchnames:
openSUSE Leap 42.3 GA libquicktime0


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 libquicktime Released
SUSE Linux Enterprise SDK 11 SP4 libquicktime Released
SUSE Linux Enterprise SDK 12 SP2 libquicktime Released
SUSE Linux Enterprise Server 12 GA LTSS libquicktime Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libquicktime Affected
SUSE Linux Enterprise Server 12 SP2 libquicktime Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI libquicktime Released